curl --request POST \
--url https://ai.data.cloud/api/v2/team/datasets/{id} \
--header 'Content-Type: application/json' \
--header 'x-pd-api-key: <api-key>' \
--data '
{
"name": "sales_data",
"description": "sales data of all regions",
"user_id": "tmm-dsadfdsafasdf"
}
'import requests
url = "https://ai.data.cloud/api/v2/team/datasets/{id}"
payload = {
"name": "sales_data",
"description": "sales data of all regions",
"user_id": "tmm-dsadfdsafasdf"
}
headers = {
"x-pd-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-pd-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'sales_data',
description: 'sales data of all regions',
user_id: 'tmm-dsadfdsafasdf'
})
};
fetch('https://ai.data.cloud/api/v2/team/datasets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"data": {}
}Modify dataset
Modifies the name or description of specified dataset.
Authorizations
Headers
The trace ID you set in your system to trace this request. It can be up to 128 characters in length. If the request fails, you can provide it to the Powerdrill team to help with troubleshooting.
Path Parameters
The ID of the dataset to modify. You can only modify the dataset that you created.
To check the datasets you have access to, call GET /v2/team/datasets.
Body
Your user ID, which uniquely identifies you within your team. To obtain your ID:
- If you're the team admin, refer to Check user information.
- If you're a system or virtual user, ask your team admin to check your user ID by referring to Check user information.
The new name of the dataset, which can be up to 128 characters in length. If it exceeds this limit, it will be truncated.
name and description cannot be both blank.
The new description of the dataset, which can be up to 50,000 characters in length. If it exceeds this limit, it will be truncated.
name and description cannot be both blank.
Response
Status code. 0 indicates that the operation is successful. Otherwise, the operation fails. For error troubleshooting, refer to Error Codes.
Null is returned when the operation is successful.